PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all class members with links to the classes they belong to:

### - n -

- name : PDynaLink , PLDAPSession::ModAttrib , PXMLElement , PXMLRPCVariableBase , PLDAPAttributeBase
- Names() : PStreamableBitwiseEnum< BaseEnum, MaxValue, BaseInt >
- NamespaceTag() : XMPP::MUC::User
- NameType : PTime
- NameTypes : PFTP
- nativeVerticalFlip : PVideoDevice
- Navigate() : PODBC::Row
- NeedPassword : PFTPServer
- NeedSignature : PServiceHTML
- needSignature : PServiceHTTPFile , PServiceHTTPDirectory
- NeedUser : PFTPServer
- negationPrefix : PConfigArgs
- Nest() : PReadWriteMutex::Nest
- NestMap : PReadWriteMutex
- Net2Host() : PSocket
- net_mask : PIPSocket::RouteEntry
- network : PIPSocket::RouteEntry
- NetworkUnreachable : PICMPSocket
- NewField() : PHTTPIntegerField , PHTTPBooleanField , PHTTPRadioField , PHTTPSelectField , PHTTPEnumField< Enumeration, InitVal > , PHTTPField , PHTTPCompositeField , PHTTPSubForm , PHTTPFieldArray , PHTTPStringField , PHTTPPasswordField , PHTTPDateField
- newLineToCRLF : PInternetProtocol
- NewMessage() : PRFC822Channel
- NewRow() : PODBC::RecordSet
- newSectionLink : PHTTPConfigSectionList
- newSectionTitle : PHTTPConfigSectionList
- NewWorker() : PThreadPoolBase
- next : PHashTableElement , PListElement , PMemoryHeap::Header
- Next() : PSet< T >::iterator_base , PDictionary< K, D >::iterator_base , PList< T >::iterator_base , PDirectory , PSafePtrBase , PSafePtrMultiThreaded , PSafeDictionary< K, D >::iterator_base , PODBC::Row , PODBC::RecordSet
- NextElement() : PHashTableInfo
- NextNode() : PVXMLSession
- NextPart() : PRFC822Channel
- nextReadTick : PDelayChannel
- nextTimeout : PHTTPServer
- nextWriteTick : PDelayChannel
- NickNameTag() : PSSDP
- nil : PSortedListInfo
- NLST : PFTP
- NoAutoDeleteThread : PThread
- NoBorder : PHTML
- NoCarrier : PModem
- noCarrierReply : PModem
- NoContent : PHTTP
- NoCRLF : PHTML::Element
- Node() : PHTTPSpace::Node
- NoDereference : PSafePtrBase
- NoError : PChannel , PRegularExpression , PSNMP
- NoFault : PSOAPMessage
- NoFlowControl : PSerialChannel
- noIndentElements : PXML
- NoInput : PVXMLGrammar
- noise : PAec
- NoLeakPrint : PMemoryHeap
- NoMatch : PRegularExpression , PVXMLGrammar
- NoMemory : PChannel
- NonAuthoritativeInformation : PHTTP
- nonce : PHTTPClientDigestAuthentication
- NONCE : PSTUNAttribute
- nonceCount : PHTTPClientDigestAuthentication
- None : XMPP::MUC::User , XMPP::Roster
- None_a : XMPP::MUC::User
- NoneAcceptable : PHTTP
- NonSASLStarted : XMPP::C2S::StreamHandler
- NonSingleton : PFactoryTemplate< AbstractClass, ParamType, KeyType >::WorkerBase
- NOOP : PSMTP , PFTP , PPOP3
- NoOptions : PServiceHTML
- NOP : PTelnetSocket
- NoParity : PSerialChannel
- NoResponse : PSNMP
- Normal : XMPP::Message
- NormalClientTransfer() : PFTPClient
- NormalFormat : PTimeInterval
- NormaliseResourceName() : PVXMLSession
- NormalPort : PFTP
- NormalPriority : PThread
- NoSignatureForFile : PServiceHTML
- NoString : PArgList
- NoSuchName : PSNMP
- NotCompiled : PRegularExpression
- NotConnected : PFTPServer
- Note() : PHTML::Note
- NotFound : PChannel , PHTTP
- NotificationCode : PPluginManager
- Notifier : PInterfaceMonitor
- Notifiers : PInterfaceMonitor
- NOTIFY : PSSDP
- NotImplemented : PHTTP
- notInHTML : PHTTPField
- NotModified : PHTTP
- NotOpen : PChannel
- NotRecording : PVXMLSession
- NotSelected : PHTML
- NotStandAlone : PXMLBase
- NotTransfering : PVXMLSession
- NotYetInHTML() : PHTTPField
- NoURLOverride : PServiceHTML
- November : PTime
- NS : DnsRecord
- NsapAddress : PASNObject
- NTSC : PVideoDevice
- Null : XMPP::C2S::StreamHandler , DnsRecord , PASNObject
- NumAlgorithms : PHTTPClientDigestAuthentication
- NumAuthenticationMethod : PLDAPSession
- Number() : PRandom
- NumBlockChainModes : PCypher
- numCameras : PVideoInput1394DcDevice
- numChannels : PSound
- NumCodeStatuses : PProcess
- NumCommands : PSMTP , PPOP3 , PSSDP , PFTP , PHTTP
- NumCompare() : PString
- NumConversionTypes : PString
- numElements : PStructuredFile
- NumElementsInSet : PHTML
- NumElementTypes : PStructuredFile
- NumErrorGroups : PChannel
- NumErrors : PSNMP
- NumGuardBytes : PMemoryHeap::Header
- NumNormalisedErrors : PChannel
- NumOperations : PLDAPSession::ModAttrib
- NumPriorities : PThread
- NumSearchScope : PLDAPSession
- NumSources : PConfig
- NumStatuses : PICMPSocket , PModem
- NumTimeStrings : PTime
- NumTones : PDTMFDecoder
- NumTrapTypes : PSNMP
- NumVideoFormats : PVideoDevice